Package com.documentum.fc.client

# Interface IDfLightObject

public interface IDfLightObject
Provides access to lightobject related functionality.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dematerialize()`
  Turn a materialized lightobject back into an unmaterialized lightobject by reparenting to the original shared parent.
  `IDfPersistentObject`
  `getObjectImpl()`
  Retrieves an interface to the current object implementation.
  `IDfId`
  `getSharingParent()`
  Retrieves the ID of the lightobject's parent.
  `boolean`
  `isMaterialized()`
  Indicates whether the lightobject is materialized.
  `void`
  `materialize()`
  Explicitly triggers the lightobject to be materialized, meaning that the lightobject will now have its private parent instead of a shared parent
  `void`
  `reparent(IDfId newParentId)`
  Points the lightobject to a different parent.

- ## Method Details

  - ### materialize

    void materialize() throws DfException
    Explicitly triggers the lightobject to be materialized, meaning that the lightobject will now have its private parent instead of a shared parent
    Throws:
      `DfException`

  - ### dematerialize

    void dematerialize() throws DfException
    Turn a materialized lightobject back into an unmaterialized lightobject by reparenting to the original shared parent.
    Throws:
      `DfException`

  - ### reparent

    void reparent(IDfId newParentId) throws DfException
    Points the lightobject to a different parent. If reparent is called on a materialized lightobject, it is unmaterialized.
    Parameters:
      `newParentId` - the ID of the new parent object of a shareable type
    Throws:
      `DfException`

  - ### getObjectImpl

    IDfPersistentObject getObjectImpl() throws DfException
    Retrieves an interface to the current object implementation.
    Returns:
    Throws:
      `DfException`

  - ### isMaterialized

    boolean isMaterialized() throws DfException
    Indicates whether the lightobject is materialized.
    Returns:
      `true` if the lightobject is materialized
    Throws:
      `DfException`

  - ### getSharingParent

    IDfId getSharingParent() throws DfException
    Retrieves the ID of the lightobject's parent. If the lightobject is not materialized, the sharing parent is the object ID of the shared parent. If the lightobject is materialized, the sharing parent is the same ID as its object ID.
    Returns:
    Throws:
      `DfException`